#include <iomanip>
#include <iostream>

using namespace std;

/**
 * Berechnung des Durchschnitts von N Gleitkommazahlen
 */
void average() {
	const int max_anzahl = 50;

	double werte[max_anzahl];
	int iMin = 0, iMax = 0, anzahl = 0;
	double sum = 0.0;
	
	cout << "Wieviele Gleitpunktzahlen moechten Sie eingeben? ";
	cin >> anzahl;
	
	if( anzahl > 50 ) {
		cout << "Anzahl zu gross - maximale Anzahl: " << max_anzahl;
		exit( 1 );
	}
	cout << endl << "Geben Sie bitte " << anzahl << " Gleitpunktzahlen ein (Zahlen mit <Enter> bestaetigen)" << endl;

	for( int i = 0; i < anzahl; i++ ) {
		cout << "Bitte geben Sie die " << setw(2) << i+1 << ". Zahl ein: ";
		cin >> werte[i];
		sum += werte[i];
	}
	
	for( int i = 1; i < anzahl; ++i ) {
		if( werte[i] > werte[iMax] )
			iMax = i;
		if( werte[i] < werte[iMin] )
			iMin = i;
	}
	cout << endl << "Kleinster Wert: " << werte[iMin] << "\nGroesster Wert: " << werte[iMax] << "\nDurchschnitt: " << sum / anzahl << endl;
}
