#include <iostream>
using namespace std;

/**
 * Berechnung der Determinanten einer 3x3 Matrix
 */
void det() {
	double matrix[4][4] = { { 0 } };

	/* Einlesen der Matrix */
	for( int zeile = 1; zeile <= 3; ++zeile ) {
		for( int spalte = 1; spalte <= 3; ++spalte ) {
			cout << "Zeile " << zeile << ", Spalte " << spalte << ": " ;
			cin >> matrix[zeile][spalte];
		}
	}

	/* optionale Ausgabe der Matrix, hilfreich zum Ueberpruefen mit 
	http://www.arndt-bruenner.de/mathe/determinanten.htm */
	cout << "\nEingegebene Matrix:\n";
	for( int zeile = 1; zeile <= 3; ++zeile ) {
		for( int spalte = 1; spalte <= 3; ++spalte ) {
			cout << matrix[zeile][spalte] << "\t";
		}
		cout << "\n";
	}

	/* Berechnung */
	double determinante = matrix[1][1] * matrix[2][2] * matrix[3][3];
	determinante += matrix[1][2] * matrix[2][3] * matrix[3][1];
	determinante += matrix[1][3] * matrix[2][1] * matrix[3][2];
	determinante -= matrix[1][3] * matrix[2][2] * matrix[3][1];
	determinante -= matrix[1][2] * matrix[2][1] * matrix[3][3];
	determinante -= matrix[1][1] * matrix[2][3] * matrix[3][2];

	/* Ausgabe */
	cout << "\nDie Determinante betraegt: " << determinante << "\n\n";
}
